%global gem_name activerecord-nulldb-adapter

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 4%{?dist}
Summary: The Null Object pattern as applied to ActiveRecord database adapters
Group: Development/Languages
License: MIT
URL: https://github.com/nulldb/nulldb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# https://github.com/nulldb/nulldb/pull/62
Patch0: rubygem--activerecord-nulldb-adapter-0.3.1-AR-42-compatibility.patch
# https://github.com/nulldb/nulldb/commit/ed90a8c4aad65026ecab347f2224a8ad4ae2062e
Patch1: rubygem-activerecord-nulldb-adapter-0.3.1-select_rows-accepts-an-optional-third-argument.patch
# https://github.com/nulldb/nulldb/pull/59
Patch2: rubygem-activerecord-nulldb-adapter-0.3.1-return-the-number-of-deleted-records-rather-than-the-records-themselves.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
A database backend that translates database interactions into no-ops. Using
NullDB enables you to test your model business logic - including after_save
hooks - without ever touching a real database.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove developer-only files.
for f in .travis.yml Appraisals Gemfile Rakefile VERSION; do
  rm $f
  sed -i "s|\"$f\",||g" %{gem_name}.gemspec
done
rm -rf gemfiles
sed -i "s|\"gemfiles/[^\"]*\",||g" %{gem_name}.gemspec

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# Remove unnecessary gemspec file
rm .%{gem_instdir}/%{gem_name}.gemspec

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  rspec2 -Ilib spec
popd


%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%exclude %{gem_instdir}/spec

%changelog
* Thu Jul 23 2015 Vít Ondruch <vondruch@redhat.com> - 0.3.1-4
- Fix FTBFS in Rawhide (rhbz#1107058).

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.1-2
- Add missing gem file to sources

* Wed Feb 19 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.1-1
- Update to activerecord-nulldb-adapter 0.3.1 (RHBZ #1066919)

* Sat Feb 08 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.0-3
- rubygem(iconv) is not in Fedora and is deprecated upstream. Remove the
  dependency on it.

* Sat Feb 08 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.0-2
- Require rubygem(iconv), a new dependency in v0.3.0

* Wed Feb 05 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.0-1
- Update to activerecord-nulldb-adapter 0.3.0

* Thu Dec 26 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.2.3-1
- Initial package
